package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFU20 extends MwfRequest<MWFU20, MWFU20Response> {

    @Parameter(name = "PCISLO_LS")
    MWFU20 pcisloLs(String pcisloLs);
    @Parameter(name = "PDATUM_PU")
    MWFU20 pdatumPu(String pdatumPu);
    @Parameter(name = "PDRUH_PU")
    MWFU20 pdruhPu(Long pdruhPu);
    @Parameter(name = "PDV_FAX")
    MWFU20 pdvFax(String pdvFax);
    @Parameter(name = "PDV_ODESLAT")
    MWFU20 pdvOdeslat(String pdvOdeslat);
    @Parameter(name = "PID_JAZYK")
    MWFU20 pidJazyk(Long pidJazyk);
    @Parameter(name = "PJMENO")
    MWFU20 pjmeno(String pjmeno);
    @Parameter(name = "PKOD_PU_POSK")
    MWFU20 pkodPuPosk(String pkodPuPosk);
    @Parameter(name = "PLIKVIDATOR_EMAIL")
    MWFU20 plikvidatorEmail(String plikvidatorEmail);
    @Parameter(name = "PLIKVIDATOR_JMENO")
    MWFU20 plikvidatorJmeno(String plikvidatorJmeno);
    @Parameter(name = "PLIKVIDATOR_KOD")
    MWFU20 plikvidatorKod(String plikvidatorKod);
    @Parameter(name = "PLIKVIDATOR_PRIJMENI")
    MWFU20 plikvidatorPrijmeni(String plikvidatorPrijmeni);
    @Parameter(name = "PLIKVIDATOR_TEL")
    MWFU20 plikvidatorTel(String plikvidatorTel);
    @Parameter(name = "PODHAD_PU")
    MWFU20 podhadPu(Double podhadPu);
    @Parameter(name = "PPLNENI_Z")
    MWFU20 pplneniZ(Long pplneniZ);
    @Parameter(name = "PPOLICIE")
    MWFU20 ppolicie(String ppolicie);
    @Parameter(name = "PPOLICIE_DATOP")
    MWFU20 ppolicieDatop(String ppolicieDatop);
    @Parameter(name = "PPOLICIE_MISTO")
    MWFU20 ppolicieMisto(String ppolicieMisto);
    @Parameter(name = "PPOSKYTOVATEL")
    MWFU20 pposkytovatel(Long pposkytovatel);
    @Parameter(name = "PPOZNAMKA")
    MWFU20 ppoznamka(String ppoznamka);
    @Parameter(name = "PPRODUKT")
    MWFU20 pprodukt(String pprodukt);
    @Parameter(name = "PSPZ")
    MWFU20 pspz(String pspz);
    @Parameter(name = "PVIN")
    MWFU20 pvin(String pvin);
}
